## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-ndindex
Version:        1.7
Release:        %autorelease
Summary:        Python library for manipulating indices of ndarrays
License:        MIT
URL:            https://quansight-labs.github.io/ndindex/
Source0:        https://github.com/quansight-labs/ndindex/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-Cython
BuildRequires:  gcc
# For tests:
BuildRequires:  python3-pytest
BuildRequires:  python3-hypothesis
BuildRequires:  python3-numpy

%global _description %{expand:
ndindex is a library that allows representing and manipulating objects that can
be valid indices to numpy arrays, i.e., slices, integers, ellipses, None,
integer and boolean arrays, and tuples thereof.

The goals of the library are to provide a uniform API to manipulate these
objects, match semantics of numpy's ndarray, and to provide useful transformation
and manipulation functions on index objects.}

%description %_description

%package -n python3-ndindex
Summary:        %{summary}
Requires:       python3-numpy

%description -n python3-ndindex %_description

%prep
%autosetup -p1 -n ndindex-%{version}

# It wants to add coverage and flakes, which is not useful for us
rm pytest.ini

%build
%py3_build

%install
%py3_install

%check
OPTIONS=(
  # This test is flaky
  --deselect=ndindex/tests/test_shapetools.py::test_iter_indices_matmul
)

%pytest -v "${OPTIONS[@]}"

%files -n python3-ndindex
%license LICENSE
%doc README.md
%{python3_sitearch}/ndindex/
%{python3_sitearch}/ndindex-%{version}-py%{python3_version}.egg-info/

%changelog
* Sun May 14 2023 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.7-1
- First working version
